.loginBtn {
  box-sizing: border-box;
  position: relative;
  margin: 0.2em;
  padding: 0 15px 0 66px;
  border: none;
  text-align: left;
  font-weight: 500;
  line-height: 50px;
  white-space: nowrap;
  border-radius: 0.2em;
  font-size: 16px;
  color: #fff;
}

.loginBtn:before {
  content: "";
  box-sizing: border-box;
  position: absolute;
  top: 0;
  left: 0;
  width: 50px;
  height: 100%;
}

.loginBtn:focus {
  outline: none;
}

.loginBtn:active {
  box-shadow: inset 0 0 0 32px rgba(0, 0, 0, 0.1);
}

.loginBtn--google {
  font-family: "Roboto", Roboto, arial, sans-serif;
  background: #4284f4;
  border: 1px solid #4284f4;
  color: #fff;
}

.loginBtn--google:hover,
.loginBtn--google:focus {
  color: #fff;
  -webkit-box-shadow: 0 0 3px 3px rgba(66, 133, 244, 0.3);
  box-shadow: 0 0 3px 3px rgba(66, 133, 244, 0.3);
}

.loginBtn--facebook {
  font-family: "Roboto", Roboto, arial, sans-serif;
  background: #1877f2;
  border: 1px solid #1877f2;
  color: #fff;
}

.loginBtn--facebook:hover,
.loginBtn--facebook:focus {
  color: #fff;
  -webkit-box-shadow: 0 0 3px 3px rgba(24, 119, 242, 0.3);
  box-shadow: 0 0 3px 3px rgba(24, 119, 242, 0.3);
}

.loginBtn--apple {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;
  background: #000;
  border: 1px solid #000;
  color: #fff;
}

.loginBtn--apple:hover,
.loginBtn--apple:focus {
  color: #fff;
  background: #333;
  -webkit-box-shadow: 0 0 3px 3px rgba(0, 0, 0, 0.3);
  box-shadow: 0 0 3px 3px rgba(0, 0, 0, 0.3);
}

.loginBtn--microsoft {
  font-family: "Segoe UI", sans-serif;
  background: #2f2f2f;
  border: 1px solid #2f2f2f;
  color: #fff;
}

.loginBtn--microsoft:hover,
.loginBtn--microsoft:focus {
  color: #fff;
  background: #0078d4;
  border-color: #0078d4;
  -webkit-box-shadow: 0 0 3px 3px rgba(0, 120, 212, 0.3);
  box-shadow: 0 0 3px 3px rgba(0, 120, 212, 0.3);
}

.login-provider-icon {
  position: absolute;
  left: 15px;
  top: 15px;
  width: 20px;
  height: 20px;
}

.login-provider-icon--google {
  background: url(/public/Google-app-icon-small1.png) no-repeat;
  background-size: cover;
  border-radius: 50%;
}

.login-provider-icon--facebook {
  left: 15px;
  top: 15px;
  width: 20px;
  height: 20px;
  font-weight: bold;
  font-family: sans-serif;
  font-size: 20px;
  line-height: 20px;
  color: #fff;
}

.login-provider-icon--apple {
  top: 10px;
  width: 22px;
  height: 22px;
}

.login-provider-icon--microsoft {
  left: 13px;
  top: 11px;
  width: 22px;
  height: 22px;
}

.login-button {
  width: 100%;
  text-align: center;
  padding-left: 0;
  position: relative;
}

.login-button--mt-50 {
  margin-top: 50px;
}

.login-button--mt-10 {
  margin-top: 10px;
}

.login-logo {
  max-width: 300px;
}

.workspace-url-input {
  text-align: right;
  border-radius: 0;
  padding: 9px 20px;
}

.workspace-url-addon {
  background-color: #1dc5a3;
  padding: 9px 10px;
  color: #000;
}

.login-message {
  color: red;
}

.login-footer {
  margin-top: 30px;
}

.login-error {
  margin-bottom: 12px;
}
